## lsof 4.61

=== dialects/aix/Makefile ===

# AIX Makefile
#
# $Id: Makefile,v 1.12 2002/01/16 15:13:15 abe Exp $

PROG=	lsof

BIN=	${DESTDIR}

DOC=	${DESTDIR}

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS=	${CDEFS} ${INCL} ${DEBUG}

GRP=

HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h

SRC=    ddev.c dfile.c dmnt.c dnode.c dnode1.c dproc.c dsock.c dstore.c \
	arg.c main.c misc.c node.c print.c proc.c store.c usage.c

OBJ=	ddev.o dfile.o dmnt.o dnode.o dnode1.o dproc.o dsock.o dstore.o \
	arg.o main.o misc.o node.o print.o proc.o store.o usage.o

MAN=	lsof.8

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}: ${LIB} ${P} ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof Needs to be able to'
	@echo 'read /dev/kmem and /dev/mem'.  Installing it segid to the group'
	@echo 'that can read those devices is one way to allow it to read them.'
	@echo 'normally that group is the system group and your install rule'
	@echo 'might look something like this:'
	@echo ''
	@echo '    install -f $${BIN} -S -M 2755 -G $${GRP} $${PROG}'
	@echo '    install -f $${DOC} -M 444 $${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo '    GRP= system'
	@echo ''
	@echo 'You might also consider giving lsof permission to read /dev/kmem'
	@echo 'and /dev/mem via ACLs.  First, establish a new group to which'
	@echo 'you will setgid lsof -- e.g., group kmem.  Next, change the ACLs'
	@echo 'for /dev/kmem and /dev/mem to permit group kmem members to read'
	@echo 'them.  Finally, install lsof setgid the kmem group with:
	@echo ''
	@echo '    GRP= kmem'

${LIB}:	FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@echo '#define	LSOF_CINFO	"${CINFO}"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

ddev.o:		${HDR} ddev.c

dfile.o:	${HDR} dfile.c

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dnode1.o:	${HDR} dnode1.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

# *** Do not add anything here - It will go away. ***

## lsof 4.63

=== tests/Makefile ===
# Makefile for testing lsof
#
# V. Abell
# Purdue University
#
# $Id: Makefile,v 1.13 2002/04/19 11:56:29 abe Exp $

DEBUG=	-O
CFLAGS=	${DEBUG} -I. -I..

HDR=	LsofTest.h

CKTSTDB= CkTestDB
CONFIG=	./config.cc ./config.cflags ./config.xobj
LTOBJ=	LTlib.o
LTSRC=	LTlib.c
LIBOBJ=	${LTOBJ}

BASTST=	LTbasic
STDTST=	LTnlink LTsock LTszoff LTunix
OPTTST=	LTbigf LTdnlc LTlock LTnfs 

all:	${CKTSTDB} ${BASTST} ${STDTST} FRC
	@./${CKTSTDB}; xv=$$?; \
	if [ $$xv -ne 0 ]; then \
	  exit 1 ;\
	fi
	@rm -f config.LT*
	-@err=0; \
	echo ""; \
	echo "Basic test:"; \
	./${BASTST}; \
	if [ $$? -ne 0 ]; then \
	  exit 1; \
	fi; \
	echo ""; \
	echo "Standard tests:"; \
	for i in ${STDTST}; do \
	  ./$$i; \
	  if [ $$? -ne 0 ]; then \
	    err=`expr $$err + 1`; \
	  fi; \
	done; \
	if [ $$err -ne 0 ]; then \
	  echo "Failed tests: $$err"; \
	  echo ""; \
	  echo "See 00FAQ and 00TEST for more informaiton."; \
	else \
	  echo "All standard tests succeeded."; \
	  echo ""; \
	  echo "Suggestion: try the optional tests: \"make opt\""; \
	  echo ""; \
	fi;
	@rm -f config.LT*

auto:	${CKTSTDB} ${BASTST} ${STDTST} FRC
	@echo "" | ./${CKTSTDB}; xv=$$?; \
	if [ $$xv -ne 0 ]; then \
	  exit 1 ;\
	fi
	@rm -f config.LT*
	@err=0; \
	./${BASTST} > /dev/null 2>&1; \
	if [ $$? -ne 0 ]; then \
	  exit 1; \
	fi; \
	for i in ${STDTST}; do \
	  ./$$i > /dev/null 2>&1; \
	  if [ $$? -ne 0 ]; then \
	    err=`expr $$err + 1`; \
	  fi; \
	done; \
	rm -f config.LT*; \
	if [ $$err -ne 0 ]; then \
	  exit 1; \
	fi

clean:	FRC
	rm -f ${BASTST} ${STDTST} ${OPTTST} *.o *.err *.out config.LT*

FRC:

LTbasic: LTbasic.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTbasic.c \
	${LIBOBJ} `cat config.xobj` -o LTbasic

LTbigf: LTbigf.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTbigf.c \
	${LIBOBJ} `cat config.xobj` -o LTbigf

LTdnlc: LTdnlc.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTdnlc.c \
	${LIBOBJ} `cat config.xobj` -o LTdnlc

LTlock: LTlock.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTlock.c \
	${LIBOBJ} `cat config.xobj` -o LTlock

${LTOBJ}: ${HDR} ${LTSRC} config.cflags config.cc
	`cat config.cc` ${CFLAGS} `cat config.cflags` -c ${LTSRC} \
	-o ${LTOBJ}

LTnfs:	LTnfs.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTnfs.c \
	${LIBOBJ} `cat config.xobj` -o LTnfs

LTnlink: LTnlink.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTnlink.c \
	${LIBOBJ} `cat config.xobj` -o LTnlink

LTsock: LTsock.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTsock.c \
	${LIBOBJ} `cat config.xobj` -o LTsock `cat config.ldflags`

LTszoff: LTszoff.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTszoff.c \
	${LIBOBJ} `cat config.xobj` -o LTszoff

LTunix: LTunix.c ${CONFIG} ${LIBOBJ} ${HDR} config.ldflags
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTunix.c \
	${LIBOBJ} `cat config.xobj` -o LTunix `cat config.ldflags`

opt:	${CKTSTDB} ${OPTTST} FRC
	@rm -f config.LT*
	-@err=0; \
	echo ""; \
	echo "Optional tests:"; \
	for i in ${OPTTST}; do \
	  ./$$i; \
	  if [ $$? -ne 0 ]; then \
	    err=`expr $$err + 1`; \
	  fi; \
	done; \
	if [ $$err -ne 0 ]; then \
	  echo "Failed tests: $$err"; \
	else \
	  echo "All optional tests succeeded."; \
	fi;
	@rm -f config.LT*

optional: opt

spotless: clean
	rm -f config.*

standard: all

std: all

test: all

## lsof 4.66

=== tests/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # V. Abell
 # Purdue University
 #
-# $Id: Makefile,v 1.13 2002/04/19 11:56:29 abe Exp $
+# $Id: Makefile,v 1.15 2002/12/20 18:57:49 abe Exp $
 
 DEBUG=	-O
 CFLAGS=	${DEBUG} -I. -I..
@@ -11,7 +11,8 @@
 HDR=	LsofTest.h
 
 CKTSTDB= CkTestDB
-CONFIG=	./config.cc ./config.cflags ./config.xobj
+CONFCFL= ./config.cflags
+CONFIG=	./config.cc ${CONFCFL} ./config.xobj
 LTOBJ=	LTlib.o
 LTSRC=	LTlib.c
 LIBOBJ=	${LTOBJ}
@@ -44,12 +45,15 @@
 	if [ $$err -ne 0 ]; then \
 	  echo "Failed tests: $$err"; \
 	  echo ""; \
-	  echo "See 00FAQ and 00TEST for more informaiton."; \
+	  echo "See 00FAQ and 00TEST for more information."; \
 	else \
 	  echo "All standard tests succeeded."; \
 	  echo ""; \
-	  echo "Suggestion: try the optional tests: \"make opt\""; \
-	  echo ""; \
+	  grep LT_DIAL_darwin ${CONFCFL} > /dev/null 2>&1; \
+	  if [ $$? -ne 0 ]; then \
+	    echo "Suggestion: try the optional tests: \"make opt\""; \
+	    echo ""; \
+	  fi; \
 	fi;
 	@rm -f config.LT*
 
@@ -135,7 +139,8 @@
 	  echo "Failed tests: $$err"; \
 	else \
 	  echo "All optional tests succeeded."; \
-	fi;
+	fi; \
+	echo "";
 	@rm -f config.LT*
 
 optional: opt

=== dialects/aix/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # AIX Makefile
 #
-# $Id: Makefile,v 1.12 2002/01/16 15:13:15 abe Exp $
+# $Id: Makefile,v 1.12 2002/01/16 15:13:15 abe Exp abe $
 
 PROG=	lsof

=== dialects/freebsd/Makefile ===

# FreeBSD Makefile
#
# $Id: Makefile,v 1.10 2001/11/01 20:26:18 abe Exp abe $

PROG=	lsof

BIN=	${DESTDIR}

DOC=	${DESTDIR}

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS=	${CDEFS} ${INCL} ${DEBUG}

GRP=

HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h

SRC=    dmnt.c dnode.c dnode1.c dproc.c dsock.c dstore.c \
	arg.c main.c misc.c node.c print.c proc.c store.c usage.c

OBJ=	dmnt.o dnode.o dnode1.o dproc.o dsock.o dstore.o \
	arg.o main.o misc.o node.o print.o proc.o store.o usage.o

MAN=	lsof.8

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}: ${LIB} ${P} ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the kmem group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '    install -cs -m 2755 -g $${GRP} $${PROG} $${BIN}/$${PROG}'
	@echo '    install -c -m 444 $${MAN} $${DOC}/$${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/local/man/man8'
	@echo '    GRP= kmem'
	@echo ''

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dnode1.o:	${HDR} dnode1.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

# *** Do not add anything here - It will go away. ***

=== dialects/linux/Makefile ===

# Linux /proc-based Makefile
#
# $Id: Makefile,v 1.9 2001/11/01 20:26:27 abe Exp abe $

PROG=	lsof

BIN=	${DESTDIR}

DOC=	${DESTDIR}

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
DEP=	${CFGD} ${CFGDN}
INCL=	${DINC}
CFLAGS=	${CDEFS} ${INCL} ${DEP} ${DEBUG}

GRP=

HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h

SRC=    dfile.c dmnt.c dnode.c dproc.c dsock.c dstore.c \
	arg.c main.c misc.c node.c print.c proc.c store.c usage.c

OBJ=	dfile.o dmnt.o dnode.o dproc.o dsock.o dstore.o \
	arg.o main.o misc.o node.o print.o proc.o store.o usage.o

MAN=	lsof.8

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}: ${P} ${LIB} ${OBJ}
	${CC} -o $@ ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h ${CFGDN}
	rm -f machine.h.old new_machine.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof should be installed'
	@echo 'setuid to root if you wish any lsof user to be able to examine'
	@echo 'all open files.  Your install rule actions might look something'
	@echo 'like this:'
	@echo ''
	@echo '    install -m 4xxx -o root -g <group> $${PROG} $${BIN}'
	@echo '    install -m 444 $${MAN} $${DOC}'
	@echo ''
	@echo 'You will have to complete the 4xxx modes, the <group> value,'
	@echo 'and the skeletons for the BIN and DOC strings, given at the'
	@echo 'beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo '    GRP= sys'
	@echo ''

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@echo '#define	LSOF_CINFO	"${CINFO}"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dfile.o:	${HDR} dfile.c

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

# *** Do not add anything here - It will go away. ***

=== dialects/hpux/kmem/Makefile ===

# HP-UX /dev/kmem-based Makefile
#
# $Id: Makefile,v 1.14 2001/11/01 20:26:21 abe Exp abe $

PROG=	lsof

BIN=	${DESTDIR}

DOC=	${DESTDIR}

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS=	${CDEFS} ${INCL} ${DEBUG}

GRP=

HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h

SRC=    dfile.c dmnt.c dnode.c dnode1.c dnode2.c dproc.c dsock.c \
	dstore.c \
	arg.c main.c misc.c node.c print.c proc.c store.c usage.c

OBJ=	dfile.o dmnt.o dnode.o dnode1.o dnode2.o dproc.o dsock.o \
	dstore.o \
	arg.o main.o misc.o node.o print.o proc.o store.o usage.o

MAN=	lsof.8

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}: ${LIB} ${P} ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof should be installed'
	@echo 'setgid to the group that can read /dev/kmem.  Normally that is'
	@echo 'the sys group.  Your install rule actions might look something'
	@echo 'like this:'
	@echo ''
	@echo '    install -i -g $${GRP} $${PROG} $${BIN}'
	@echo '    chmod 2755 $${BIN}/$${PROG}'
	@echo '    install -i $${MAN} $${DOC}'
	@echo '    chmod 444 $${DOC}/$${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo '    GRP= sys'
	@echo ''

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@echo '#define	LSOF_CINFO	"${CINFO}"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dfile.o:	${HDR} dfile.c

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dnode1.o:	${HDR} dnode1.c

dnode2.o:	${HDR} dnode2.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

# *** Do not add anything here - It will go away. ***

## lsof 4.68

=== dialects/darwin/Makefile ===

# Darwin Makefile
#
# $Id: Makefile,v 1.3 2001/11/01 20:26:13 abe Exp abe $

PROG=	lsof

BIN=	${DSTROOT}/usr/sbin

DOC=	${DSTROOT}/usr/share/man/man8

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=	${RC_CFLAGS}
CDEFS=	${CDEF} ${CFGF}
INCL=	${DINC}
override CFLAGS= ${CDEFS} ${INCL} ${DEBUG}

GRP= kmem

HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h

SRC=    ddev.c dmnt.c dnode.c dnode1.c dproc.c dsock.c dstore.c \
	arg.c main.c misc.c node.c print.c proc.c store.c usage.c

OBJ=	ddev.o dmnt.o dnode.o dnode1.o dproc.o dsock.o dstore.o \
	arg.o main.o misc.o node.o print.o proc.o store.o usage.o

MAN=	lsof.8

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}: ${LIB} ${P} ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install-strip:
	${MAKE} STRIPFLAGS=-s install

install: all FRC
	mkdir -p ${BIN}
	install -c ${STRIPFLAGS} -m 2755 -g ${GRP} ${PROG} ${BIN}/${PROG}
	mkdir -p ${DOC}
	install -c -m 444 ${MAN} ${DOC}/${MAN}

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

ddev.o:		${HDR} ddev.c

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dnode1.o:	${HDR} dnode1.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

# *** Do not add anything here - It will go away. ***

## lsof 4.70-1osso

=== debian/changelog ===
lsof (4.70-1osso) unstable; urgency=medium

  * Removed 10 legally problematic files.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 17 Aug 2005 17:07:32 +0300

lsof (4.70-1) unstable; urgency=medium

  * new upstream release (closes: #199017)
  * removed lsof-2.2 provides (closes: #223908)
  * new Co-Maintainer: Norbert Tretkowski <nobse@debian.org>
  * added debian/watch file, thanks to Filippo Giunchedi
  * bumped up Standards-Version to 3.6.1.0, no changes needed

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 22 Feb 2004 23:33:16 +0100

lsof (4.64-1) unstable; urgency=low

  * New upstream version (Closes: #152196)
  * Fixed grammar in description (Closes: #145387)
  * Moved to /usr/bin (with link to /usr/sbin) to 
    conform with FSSTND and traceroute (Closes: #55587)

 -- Jim Mintha <jmintha@debian.org>  Thu, 18 Jul 2002 01:28:50 +0200

lsof (4.57-1) unstable; urgency=low

  * New upstream version.

 -- Jim Mintha <jmintha@debian.org>  Sun, 22 Jul 2001 03:21:07 +0200

lsof (4.55-2) unstable; urgency=low

  * Add Provides for lsof-2.2 (Closes: Bug#94922)

 -- Jim Mintha <jmintha@debian.org>  Mon, 23 Apr 2001 01:45:03 +0200

lsof (4.55-1) frozen unstable; urgency=low

  * New upstream version (Closes: Bug#57203)
  * Rename package back to just lsof (Closes: Bug#91231, Bug#87403)
  * Fixes not showing flock type locks (Closes: Bug#67236)

 -- Jim Mintha <jmintha@debian.org>  Thu, 12 Apr 2001 03:41:42 +0200

lsof (4.48-1) frozen unstable; urgency=medium

  * New upstream version
  * compatible with linux 2.3.x kernels (#55242)
  * -r doesn't hang anymore (#44573)
  * /proc based lsof doesn't need setgid kmem
  * fix grammer error in description (#56872)
  
 -- Jim Mintha <jmintha@debian.org>  Mon, 31 Jan 2000 00:43:03 +0100

lsof (4.43-1) unstable; urgency=low

  * New upstream version.
  * Dynamically create the control file based on kernel version
  * create a virtual package lsof that the different kernel version
    will provide and conflict with.
  * Support of 2.2 kernels (/proc based so don't need a verson for
    each kernel
  * This should build on glibc 2.1 systems (tested on SPARC)

 -- Jim Mintha <jmintha@debian.org>  Sat, 15 May 1999 22:50:27 +0200

lsof (4.37-4) stable; urgency=low

  * Add control file to build for 2.0.36 kernel version

 -- Jim Mintha <jmintha@debian.org>  Wed, 14 Apr 1999 01:04:09 +0200

lsof (4.37-3) unstable stable frozen; urgency=high

  * Patched to get rid of buffer overflow security problem (#33538)

 -- Jim Mintha <jmintha@debian.org>  Thu, 18 Feb 1999 08:28:57 -0800

lsof (4.37-2) unstable; urgency=low

  * Binary wasn't being installed sgid kmem (#28548)
  * .dsc file has lsof2.0.25 instead of lsof-2.0.35 (#28546)

 -- Jim Mintha <jmintha@debian.org>  Mon, 26 Oct 1998 22:42:21 +0100

lsof (4.37-1) unstable; urgency=low

  * New upstream version.
  * Change to use debhelper scripts
  * Binary packages now contain kernel version number

 -- Jim Mintha <jmintha@debian.org>  Wed, 14 Oct 1998 23:32:46 +0200

lsof (4.28-2) frozen unstable; urgency=medium

  * Change package name to include kernel version (#24327)
  * Small patch to build with new glibc stuff.

 -- Jim Mintha <jmintha@debian.org>  Thu, 16 Jul 1998 05:01:38 -0700

lsof (4.28-1) unstable; urgency=low

  * New upstream version.
  * Fixed example scripts to call perl in the proper location

 -- Jim Mintha <jmintha@debian.org>  Sun, 15 Mar 1998 04:42:33 -0800

lsof (4.26-1) unstable; urgency=low

  * New upstream version.
  * Update docs to warn about kernel version dependencies (#17614)

 -- Jim Mintha <jmintha@debian.org>  Mon, 23 Feb 1998 00:05:52 -0800

lsof (4.25-1) unstable; urgency=low

  * New upstream version.
  * Patch to read /boot/System.map-`uname -r` now in upstream version.

 -- Jim Mintha <jmintha@debian.org>  Thu, 12 Feb 1998 01:06:57 -0800

lsof (4.23-1) unstable; urgency=low

  * New upstream version.
  * added patch by upstream maintainer to read /boot/System.map-`uname -r`
    instead of /System.map. (#16972)

 -- Jim Mintha <jmintha@debian.org>  Sun, 18 Jan 1998 18:21:14 -0800

lsof (4.22-1) unstable; urgency=low

  * New upstream version.
  * build with newer version of deb-make (#15410)
  * don't include automatically built files in the diff.
  * New maintainer.

 -- Jim Mintha <jmintha@debian.org>  Thu, 15 Jan 1998 04:20:43 -0800

lsof (4.18-1) unstable; urgency=low

  * New upstream version
  * Rebuild with libc6 (#11715).
  * Include scripts as examples.

 -- Michael Meskes <meskes@debian.org>  Tue, 28 Oct 1997 12:11:06 +0100

lsof (4.15-1) unstable; urgency=low

  * New upstream version (#7551).
  * Compiled with support for kernel 2.1.* (#8270).
    this also fixes (#10160)
  * New maintainer.

 -- Michael Meskes <meskes@topsystem.de>  Fri, 29 Aug 1997 10:22:00 +0200

lsof (3.65-5) frozen unstable; urgency=low

  * added patch by Helmut Geyer <Helmut.Geyer@IWR.Uni-Heidelberg.De>
    to read /boot/System.map-`uname -r` instead of /System.map.
    This fixes bug#4888. 
  * changed maintainer address to <dominik@debian.org>.

 -- Dominik Kubla <dominik@debian.org>  Thu, 14 Nov 1996 16:08:30 +0100

lsof (3.65-4) unstable; urgency=low

  * manual pages are now installed in "gzip -9" format as per
    "Debian Policy Manual", section 3.2.1

  * copyright file is now installed in /usr/doc/lsof as per
    "Debian Policy Manual", section 3.2.5

  * changelog file is now installed in /usr/doc/lsof as per
    "Debian Policy Manual", section 3.2.6

  * package is now build with CFLAGS set to '-O2 -g -Wall' as per
    "Debian Policy Manual", section 4.1

 -- Dominik Kubla <dominik@debian.org>  Thu, 14 Nov 1996 16:08:30 +0100

lsof (3.65-3) unstable; urgency=low

  * Converted to new packaing standards.

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Fri, 20 Sep 1996 17:00:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	LSOF_VSTR="2.2" LINUX_BASE="/proc" ./Configure -n linux

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) DEBUG="-g -Wall"	

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-rm -f `find . -name "*~"` `find . -type l`
	-rm -f Makefile lib/Makefile
	-rm -rf core dialects/linux/kmem/include
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/lsof.
	install -c -s -m 755 -g kmem lsof debian/lsof/usr/bin
	ln -s ../bin/lsof debian/lsof/usr/sbin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs 00*
	dh_installexamples scripts/*
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lsof 4.70-1osso1

=== debian/changelog ===
lsof (4.70-1osso1) unstable; urgency=medium

  * Added patch from Leonid to support thumb instructions (N#28036).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 29 Apr 2006 16:48:21 +0300

=== debian/control ===
Source: lsof
Section: utils
Priority: standard
Maintainer: Jim Mintha <jmintha@debian.org>
Uploaders: Norbert Tretkowski <nobse@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.6.1.0

Package: lsof
Architecture: any
Depends: ${shlibs:Depends}
Description: List open files.
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.  
 The binary should work on any kernel in 2.2 or 2.4
Replaces: lsof-2.2, lsof-2.0.35, lsof-2.0.36, lsof-2.0.38
Conflicts: suidmanager (<< 0.50)

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,22 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
 
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+        CFLAGS += -O0
+else
+        CFLAGS += -O2
+endif
+
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	LSOF_VSTR="2.2" LINUX_BASE="/proc" ./Configure -n linux
+	LSOF_VSTR="2.2" LINUX_BASE="/proc" CFLAGS="$(CFLAGS)" ./Configure -n linux
 
 	touch configure-stamp
 
@@ -21,7 +32,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) DEBUG="-g -Wall"	
+	$(MAKE) DEBUG="-g -Wall $(CFLAGS)"	
 
 	touch build-stamp

=== debian/watch ===
version=2
opts=pasv ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/lsof_(.+)\.tar\.gz

## lsof 4.70-1osso2

=== debian/changelog ===
lsof (4.70-1osso2) unstable; urgency=low

  * No changes, just needs rebuilding with recent toolchain
  * Fixes: NB#94721, lsof should be recompiled due to SIGILL

 -- Aapo Kojo <aapo.kojo@nokia.com>  Tue, 9 Dec 2008 10:39:00 +0300

## lsof 4.71

=== dialects/aix/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # AIX Makefile
 #
-# $Id: Makefile,v 1.12 2002/01/16 15:13:15 abe Exp abe $
+# $Id: Makefile,v 1.13 2003/03/21 17:39:46 abe Exp $
 
 PROG=	lsof
 
@@ -23,11 +23,11 @@
 
 HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h
 
-SRC=    ddev.c dfile.c dmnt.c dnode.c dnode1.c dproc.c dsock.c dstore.c \
-	arg.c main.c misc.c node.c print.c proc.c store.c usage.c
+SRC=    ddev.c dfile.c dmnt.c dnode.c dnode1.c dnode2.c dproc.c dsock.c \
+	dstore.c arg.c main.c misc.c node.c print.c proc.c store.c usage.c
 
-OBJ=	ddev.o dfile.o dmnt.o dnode.o dnode1.o dproc.o dsock.o dstore.o \
-	arg.o main.o misc.o node.o print.o proc.o store.o usage.o
+OBJ=	ddev.o dfile.o dmnt.o dnode.o dnode1.o dnode2.o dproc.o dsock.o \
+	dstore.o arg.o main.o misc.o node.o print.o proc.o store.o usage.o
 
 MAN=	lsof.8
 
@@ -140,6 +140,8 @@
 
 dproc.o:	${HDR} dproc.c
 
+dnode2.o:	${HDR} dnode2.c
+
 dsock.o:	${HDR} dsock.c
 
 dstore.o:	${HDR} dstore.c

=== dialects/osr/Makefile ===

# OSR Makefile
#
# $Id: Makefile,v 1.11 2001/11/01 20:26:38 abe Exp abe $

PROG=	lsof

BIN=	${DESTDIR}

DOC=	${DESTDIR}

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS=	${CDEFS} ${INCL} ${DEBUG}

GRP=

HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h

MODE=	2755

OWN=	bin

SRC=    dfile.c dmnt.c dnode.c dproc.c dsock.c dstore.c \
	arg.c main.c misc.c node.c print.c proc.c store.c usage.c

OBJ=	dfile.o dmnt.o dnode.o dproc.o dsock.o dstore.o \
	arg.o main.o misc.o node.o print.o proc.o store.o usage.o

MAN=	lsof.man
MANLCL=	lsof.LOCAL

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${MANLCL}: ${MAN}
	rm -f ${MANLCL}
	cp ${MAN} ${MANLCL}

${PROG}: ${LIB} ${P} ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h ${MANLCL}
	rm -f machine.h.old new_machine.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install: all ${MANLCL} FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the mem group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '    strip $${PROG}'
	@echo '    mcs -d $${PROG}'
	@echo '    /etc/install -o -m <modes> -u <owner> -g <group> -f $${BIN} $${PROG}'
	@echo '    /etc/install -o -m 444 -f $${DOC} $${MANLCL}'
	@echo ''
	@echo 'You will have to set values for  <modes>, <owner> and <group>,'
	@echo 'and complete the skeletons for the BIN and DOC strings given'
	@echo 'at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo ''

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	  echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"'`uname -X`'"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dfile.o:	${HDR} dfile.c

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

# *** Do not add anything here - It will go away. ***
